=== debian/changelog ===
ros-one-robot-self-filter (0.1.32-2noble.20251023.1119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 23 Oct 2025 11:19:11 +0000

ros-one-robot-self-filter (0.1.32-0noble) noble; urgency=high

  * PCL > 1.10 uses c++ 14
  * find_package(Boost signals) no longer required for noetic, use find_package(Boost)
  * remove indigo/lunar from .travis.yml
  * add noetic and fix .travs.yml
  * Contributors: Kei Okada

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-robot-self-filter (0.1.31-0noble) noble; urgency=high

  * Merge pull request #16 <https://github.com/PR2/robot_self_filter/issues/16> from mikaelarguedas/tinyxml_dependency
    depends on tinyxml and link against it
  * Merge branch 'indigo-devel' into tinyxml_dependency
  * Merge pull request #18 <https://github.com/PR2/robot_self_filter/issues/18> from k-okada/add_travis
    update travis.yml
  * update travis.yml
  * depend on tinyxml and link against it
  * Merge pull request #14 <https://github.com/PR2/robot_self_filter/issues/14> from traclabs/indigo-devel
    Minor changes to indigo-devel CMake allow this to be used in kinetic and indigo
  * Changes for kinetic
  * Contributors: Devon Ash, Kei Okada, Mikael Arguedas, Patrick Beeson

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 24 Nov 2018 00:00:00 -0000

ros-one-robot-self-filter (0.1.30-0noble) noble; urgency=high

  * Fix typo in CMakeLists.txt: CATKIN-DEPENDS -> CATKIN_DEPENDS
  * Add ~max_queue_size parameter for subscription queue size
  * Contributors: Devon Ash, Kentaro Wada, Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 20 Jan 2017 00:00:00 -0000

ros-one-robot-self-filter (0.1.29-0noble) noble; urgency=high

  * pr2_navigation_self_filter -> robot_self_filter
  * Add robot_self_filter namespace before bodies and shapes namespace.
    geometric_shapes package also provides bodies and shapes namespace
    and same classes and functions. If a program is linked with
    geometric_shapes and robot_self_filter, it may cause strange behavior
    because of symbol confliction.
  * Contributors: Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-robot-self-filter (0.1.28-0noble) noble; urgency=high

  * Added indigo devel
  * Set correct timestamp for self filtered cloud
    This is needed because pcl drops some value of timestamp.
    So pcl::fromROSMsg and pcl::toROSMsg does not work to get correct timestamp.
    Protected member variables in SelfMask for subclass of SelfMask
  * Protected member variables in SelfMask for subclass of SelfMask
  * Contributors: Devon Ash, Kentaro Wada, Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 04 Dec 2015 00:00:00 -0000

ros-one-robot-self-filter (0.1.27-0noble) noble; urgency=high

  * Porting robot_self_filter from pr2_navigation_self_filter
  * Initial commit
  * Contributors: Devon Ash, Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 01 Dec 2015 00:00:00 -0000
