=== debian/control ===
Source: ros-one-robot-self-filter
Section: misc
Priority: optional
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libbullet-dev, libtinyxml-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-filters, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/robot_self_filter
Standards-Version: 3.9.2

Package: ros-one-robot-self-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libbullet-dev, libtinyxml-dev, ros-one-filters, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-urdf, ros-one-visualization-msgs
Description: Filters the robot's body out of point clouds.
